/* brands Slider css */

:root {
  --total-brand: 16;
  --logo-width: 12rem;
  --total-logo-width: calc(var(--total-brand) * var(--logo-width) * 2);
}

/* brands-slide left css */
.brands-slider-left, .brands-slider-right {
  position: relative;
  width: 100vw;
  display: flex;
  align-items: center;
  overflow: hidden;
}

.brands-slider-left ul.brands {
  list-style: none;
  width: var(--total-logo-width);
  display: flex;
  animation: slideLeft 14s linear infinite;
}

@keyframes slideLeft {
  100% {
    transform: translateX(calc(-100%/2));
  }
}


ul.brands li.brand-logo {
  width: var(--logo-width);
  fontsize: 2rem;
  text-align:center;
  margin-left: 3rem;
}

.brands-slider-left::before,
.brands-slider-left::after,.brands-slider-right::before,
.brands-slider-right::after {
    position: absolute;
    content: "";
    height: 100%;
    width: var(--logo-width);
}

.brands-slider-left::before {
  left:0;
  background: linear-gradient(to right, #fff 0%, #fff 100%);
}

.brands-slider-left::after {
  right:0;
  background: linear-gradient(to left, #fff 0%, #fff 100%);
}

/* brands-slide right css */
.brands-slider-right ul.brands {
  list-style: none;
  width: var(--total-logo-width);
  display: flex;
  animation: slideRight 14s linear infinite;
}

@keyframes slideRight {
  100% {
    transform: translateX(calc(100%/2));
  }
}

.brands-slider-right::before {
  right:0;
  background: linear-gradient(to left, #fff 0%, #fff 100%);
}

.brands-slider-right::after {
  left:0;
  background: linear-gradient(to right, #fff 0%, #fff 100%)
}
